<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:cc="http://xmlns.jcp.org/jsf/composite">
	<cc:interface>
		<cc:attribute name="value" required="true" />
	</cc:interface>
	<cc:implementation>
		<h:outputScript library="js" name="highlight.min.js?version=#{appl.getVersion(facesContext)}" target="head" />
		<h:outputStylesheet library="css" name="highlight.css?version=#{appl.getVersion(facesContext)}" />
		<div id="#{cc.clientId}_div" style="overflow: auto; max-width: 75vw">
			<pre>
				<h:outputText value="#{cc.attrs.value}" />
			</pre>
		</div>
		<script type="text/javascript">
			$("[id='#{cc.clientId}_div']").each(function(i, block) {
				hljs.highlightBlock(block);
			});
		</script>
	</cc:implementation>
</ui:composition>